﻿Type=StaticCode
Version=1.80
@EndOfDesignText@
'**** ADR String Functions, Version 1.1, August 25th, 2011
'This code goes in a code module named s, short for string functions
'Call any of these from the main with the s. prefix. Examples:
's.Left(variable, 5) OR s.Ltrim(variable)

Sub Left(Text As String, Length As Long)As String 
	if Length>Text.Length Then Length=Text.Length 
	Return Text.SubString2(0, Length)
End Sub
Sub Right(Text As String, Length As Long) As String
	if Length>Text.Length Then Length=Text.Length 
	Return Text.SubString(Text.Length-Length)
End Sub
Sub Mid(Text As String, Start As int, Length As int) As String 
	Return Text.SubString2(Start-1,Start+Length-1)
End Sub
Sub At(Text As String,inStr As String) As int
	Return Text.indexOf(inStr)
End Sub
Sub Stuff(Text As String, inStr As String, WinStr As String) As String  
	'Stuff("Variable to stuff", "New text to insert", "Text to replace")
	Return Left(Text,At(Text, WinStr)) & inStr & Right(Text, (Len(Text)-At(Text, WinStr))-Len(WinStr))
End Sub
Sub Trim(Text As String) As String
	Return Text.Trim
End Sub
Sub Len(Text As String) As Long
	Return Text.Length
End Sub
Sub Ltrim(Text As String) As String
	Do While Left(Text, 1) =" "
		Text = Right(Text, Len(Text)-1)
	Loop
	Return Text
End Sub
Sub Rtrim(Text As String) As String
	Do While Right(Text, 1) =" "
		Text = Left(Text, Len(Text)-1)
	Loop
	Return Text
End Sub
Sub Val(Text As String) As Double
	Do While isNumber(Right(Text,1))=False Then
		if Len(Text) >0 Then
			Text=Left(Text, Len(Text)-1)
		Else
			Exit
		End if	
	Loop
	if Len(Text) > 0 Then 
		Return Text + 0
	Else
		Return 0
	End if	
End Sub
Sub Empty(Text As String) As Boolean
	Text = Trim(Text)
	if Text.Length < 1 Then
		Return True
	Else
		Return False
	End if	
End Sub
Sub iif(Text As String, Text1 As String, Text2 As String) As String
	if Text = True Then Return Text1 Else Return Text2
End Sub
Sub Space(HM As int) As String
	RS = ""
	Do While Len(RS) < HM
		RS = RS & " "
	Loop
	Return RS
End Sub
Sub Exist(Text As String) As Boolean
	if File.Exists("", Text) Then Return True Else Return False
End Sub
Sub RndChrGen(Howmany As int, CT As int) As String
	a=""
	if CT = 0 Then
		L=65 : U=122
	Else if CT=1 Then
		L=65 : U=90
	Else
		L=97 : U=122
	End if
	For x=1 To Howmany				
		Do While Len(a) < Howmany	
			ha = Rnd(L, U)
			if ha>=91 AND ha<=96 Then 
			Else
				a = a & Chr(ha)
			End if
		Loop
	Next
	Return a
End Sub
Sub Upper(Text As String) As String
	Ctext = Text.ToUpperCase
	Return Ctext
End Sub
Sub Lower(Text As String) As String
	Ctext = Text.ToLowerCase
	Return Ctext
End Sub
Sub Proper(Text As String) As String
	Do While At(Text, Chr(32)) > -1
		A = Mid(Text, At(Text, Chr(32))+1, 2)
		B = Upper(Right(A, 1)) 
		Text = Stuff(Text, Chr(160) & B, A)
	Loop
	B = Upper(Left(Text,1))
	Text = B & Right(Text, Len(Text) -1)
	Do While At(Text, Chr(160)) > -1
		Text = Stuff(Text, Chr(32), Chr(160))
	Loop
	Return Text
End Sub